org.apache.cassandra.index.sasi.sa

## Class SuffixSA

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.SA<java.nio.CharBuffer>
  - - org.apache.cassandra.index.sasi.sa.SuffixSA

    public class SuffixSA
    extends SA<java.nio.CharBuffer>

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.sa.SA

`charCount, comparator, mode, terms`

### Constructor Summary

Constructors
Constructor and Description
`SuffixSA(AbstractType<?> comparator, OnDiskIndexBuilder.Mode mode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TermIterator` `finish()`
`protected Term<java.nio.CharBuffer>` `getTerm(java.nio.ByteBuffer termValue, TokenTreeBuilder tokens)`

### Methods inherited from class org.apache.cassandra.index.sasi.sa.SA

`add, getMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuffixSA

    public SuffixSA(AbstractType<?> comparator,
                    OnDiskIndexBuilder.Mode mode)

### Method Detail

#### getTerm

    protected Term<java.nio.CharBuffer> getTerm(java.nio.ByteBuffer termValue,
                                                TokenTreeBuilder tokens)

Specified by:
  `getTerm` in class `SA<java.nio.CharBuffer>`

#### finish

    public TermIterator finish()

Specified by:
  `finish` in class `SA<java.nio.CharBuffer>`